View Single Post
Old 10-10-2018, 07:14 PM   #584
nPHYN1T3
Human being with feelings
 
nPHYN1T3's Avatar
 
Join Date: Aug 2011
Location: White Hell
Posts: 63
Default lin-vst-server/vst not found or linvst version mismatch (Arg!)

I was working on a track today but was having an issue with some VST's that normally function fine. I decided to redo things clean...BIG MISTAKE! I've updated lin-vst-server* in /usr/bin but I get "lin-vst-server/vst not found or linvst version mismatch" on almost every plugin I need for this song.

I've been reading and trying to fix things and read a few things about time outs and other reasons why vst are failing but I've found this (at least for me) and may be the case for others is a dependency issue. So if you are redoing things or doing them for the first time this might be simply because the wine prefix lacks dependencies for a plugin. Be it a font, direct draw, gl draw, dotnet framework, this also seems to cause this vague version mismatch error.

It would be nice if the blank dialog box would actually say if this is a time out, a dependency failure or whatever else might be going on. Verbosity is the spice of debugging hell life! heh. Now where the F is SteamPlay for Reapers VST system.

This almost makes me wish there was a database of VST dependencies. Most won't list things because they assume it's part of the intended OS and installed already which isn't the case for us. I've made some progress (and lost some) by installing ala kitchen sink, crap like vcredist, dotnet and a few other things trying to coax out what vst needs what...wish me luck!
__________________
Human being with feelings it says while in my picture I'm wearing a T-Shirt with "HATE" written across it.

Last edited by nPHYN1T3; 10-10-2018 at 07:19 PM.
nPHYN1T3 is offline   Reply With Quote